package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.OrderComment;

/**
 * 订单评价Service接口
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public interface IOrderCommentService 
{
    /**
     * 查询订单评价
     * 
     * @param id 订单评价主键
     * @return 订单评价
     */
    public OrderComment selectOrderCommentById(Long id);
    public int selectCountOrderCommentByOid(Long id);
    public List<OrderComment>  selectOrderCommentByOid(Long id);
    /**
     * 查询订单评价列表
     * 
     * @param orderComment 订单评价
     * @return 订单评价集合
     */
    public List<OrderComment> selectOrderCommentList(OrderComment orderComment);

    /**
     * 新增订单评价
     * 
     * @param orderComment 订单评价
     * @return 结果
     */
    public int insertOrderComment(OrderComment orderComment);

    /**
     * 修改订单评价
     * 
     * @param orderComment 订单评价
     * @return 结果
     */
    public int updateOrderComment(OrderComment orderComment);

    /**
     * 批量删除订单评价
     * 
     * @param ids 需要删除的订单评价主键集合
     * @return 结果
     */
    public int deleteOrderCommentByIds(Long[] ids);

    /**
     * 删除订单评价信息
     * 
     * @param id 订单评价主键
     * @return 结果
     */
    public int deleteOrderCommentById(Long id);
}
